// Copyright 2024 Matthew Rich <matthewrich.conf@gmail.com>. All rights reserved.

package ext

import (
	"io"
	"strings"
)

func NewStringReader(value string) io.Reader {
	return stringReader{strings.NewReader(value)}
}

type stringReader struct {
	io.Reader
}
